sessions module route (requires sessions:workspace:admin)
POST
/v1/m/sessions/workspaces
const url = 'https://example.com/v1/m/sessions/workspaces';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allow_subpaths":["example"],"container_target":"example","dlp_mode":"","max_read_bytes":1,"mount_mode":"","name":"example","root_path":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/sessions/workspaces \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allow_subpaths": [ "example" ], "container_target": "example", "dlp_mode": "", "max_read_bytes": 1, "mount_mode": "", "name": "example", "root_path": "example" }'Creates one session workspace from the posted parameters, and answers 503 when the workspace registry is not available.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
allow_subpaths
container_target
root_path
required
After trimming, must be an absolute, existing directory; the server stores its canonical real path.
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}